<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.aveplus.avepay_cpocket.music.main.library.LibraryVM" />
    </data>

    <RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/bg_music"
        android:orientation="vertical">

        <include
            android:id="@+id/toolbar_library"
            layout="@layout/toolbar_music"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@+id/toolbar_library"
            android:orientation="vertical">

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="@color/black" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/effect_ripple_rectange"
                android:clickable="true"
                android:minHeight="@dimen/height_item_my_music"
                android:onClick="@{viewModel::onClickFavorite}"

                android:orientation="horizontal"
                android:padding="@dimen/dimen_2x">

                <ImageView
                    android:layout_width="@dimen/icon_round"
                    android:layout_height="@dimen/icon_round"

                    android:padding="@dimen/dimen_1x"
                    android:src="@drawable/ic_favorite_border_24dp"
                    app:tint="@color/white" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="@dimen/dimen_2x"
                    android:layout_weight="1.0"
                    android:gravity=""
                    android:text="@string/favorite"
                    android:textColor="@color/white" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:src="@drawable/ic_keyboard_arrow_right_black_24dp"
                    android:textColor="@color/white" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="@color/black" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/effect_ripple_rectange"
                android:clickable="true"
                android:focusable="true"
                android:minHeight="@dimen/height_item_my_music"
                android:onClick="@{viewModel::onClickAlbum}"

                android:orientation="horizontal"
                android:padding="@dimen/dimen_2x">

                <ImageView
                    android:layout_width="@dimen/icon_round"
                    android:layout_height="@dimen/icon_round"
                    android:padding="@dimen/dimen_1x"
                    android:src="@drawable/ic_mm_playlists"
                    app:tint="@color/white" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="@dimen/dimen_2x"
                    android:layout_weight="1.0"
                    android:gravity=""
                    android:text="@string/Artist"
                    android:textColor="@color/white" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:src="@drawable/ic_keyboard_arrow_right_black_24dp"
                    android:textColor="@color/white" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="@color/black" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/effect_ripple_rectange"
                android:clickable="true"
                android:focusable="true"
                android:minHeight="@dimen/height_item_my_music"
                android:onClick="@{viewModel::onClickSong}"

                android:orientation="horizontal"
                android:padding="@dimen/dimen_2x">

                <ImageView
                    android:layout_width="@dimen/icon_round"
                    android:layout_height="@dimen/icon_round"
                    android:padding="@dimen/dimen_1x"
                    android:src="@drawable/ic_mm_songs"
                    app:tint="@color/white" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="@dimen/dimen_2x"
                    android:layout_weight="1.0"
                    android:gravity=""
                    android:text="@string/songs"
                    android:textColor="@color/white" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:src="@drawable/ic_keyboard_arrow_right_black_24dp"
                    android:textColor="@color/white" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="@color/black" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/effect_ripple_rectange"
                android:clickable="true"
                android:focusable="true"
                android:minHeight="@dimen/height_item_my_music"
                android:onClick="@{viewModel::onClickDownload}"

                android:orientation="horizontal"
                android:padding="@dimen/dimen_2x">

                <ImageView
                    android:layout_width="@dimen/icon_round"
                    android:layout_height="@dimen/icon_round"
                    android:padding="@dimen/dimen_1x"
                    android:src="@drawable/ic_fragment_download"
                    app:tint="@color/white" />

                <TextView
                    android:layout_width="0dp"

                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="@dimen/dimen_2x"
                    android:layout_weight="1.0"
                    android:gravity=""
                    android:text="@string/download"
                    android:textColor="@color/white" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:src="@drawable/ic_keyboard_arrow_right_black_24dp"
                    android:textColor="@color/white" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="@color/black" />

            <com.aveplus.avepay_cpocket.widgets.textview.TextViewRegular
                android:id="@+id/tv_listplaylist"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginHorizontal="@dimen/dimen_2x"
                android:layout_marginVertical="@dimen/dimen_2x"
                android:text="List My Playlist"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_normal" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycler_view_playlist"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />
        </LinearLayout>


    </RelativeLayout>
</layout>
